IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[fn_IndirimTutar]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
BEGIN 
DECLARE @SQL VARCHAR(4000) = '
create function [dbo].[fn_IndirimTutar]
( @IndirimsizFiyat Float = 0.0, 
  @YuzdeselIndirim Float = 0.0, 
  @TutarsalIndirim Float = 0.0
) RETURNS float  

as

BEGIN

  /* NULL Kontrol */
  set @IndirimsizFiyat = IsNull( @IndirimsizFiyat,
                                 0
                               )

  set @YuzdeselIndirim = IsNull( @YuzdeselIndirim,
                                 0
                               )

  set @TutarsalIndirim = IsNull( @TutarsalIndirim,
                                 0
                               )

  /* TOPLAM İndirim = Yüzdesel İndirim + Tutarsal İndirim */

      /* Noktadan Sonra 2 Haneye Yuvarla                                                      */
                          /* Noktadan Sonra 2 Haneye Yuvarla                                  */
                                              /* Yüzdesel İndirimin Tutarsal Karşılığı        */  
  return dbo.FN_RoundBanker( dbo.FN_RoundBanker( @IndirimsizFiyat * ( @YuzdeselIndirim  / 100 ),
                                                 2
                                              /* + Tutarsal İndirim */
                                               ) + @TutarsalIndirim,
                             2
                           )  

END
'

EXEC(@SQL)
END



